/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { ThemeProps } from '../theme';
import { LocaleProps } from '../locale';
import Sortable from 'sortablejs';
export interface ArrayInputProps extends ThemeProps, LocaleProps {
    value?: Array<any>;
    onChange?: (value: Array<any>) => void;
    placeholder: string;
    itemRender: (props: {
        value: any;
        onChange: (value: any) => void;
        index: number;
        disabled?: boolean;
    }) => JSX.Element;
    itemInitalValue?: any;
    maxLength?: number;
    minLength?: number;
    disabled?: boolean;
    sortable?: boolean;
    removable?: boolean;
    addable?: boolean;
    editable?: boolean;
    sortTip?: string;
}
export declare class ArrayInput extends React.Component<ArrayInputProps> {
    static defaultProps: {
        placeholder: string;
        itemRender: ({ value, onChange }: {
            value: any;
            onChange: (value: any) => void;
            index: number;
            disabled?: boolean | undefined;
        }) => JSX.Element;
    };
    id: string;
    dragTip?: HTMLElement;
    sortable?: Sortable;
    handleItemOnChange(index: number, itemValue: any): void;
    dragTipRef(ref: any): void;
    handleAdd(): void;
    handleRemove(e: React.MouseEvent<HTMLElement>): void;
    initDragging(): void;
    destroyDragging(): void;
    renderItem(value: any, index: number, collection: Array<any>): JSX.Element;
    render(): JSX.Element;
}
declare const _default: {
    new (props: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: ({ value, onChange }: {
            value: any;
            onChange: (value: any) => void;
            index: number;
            disabled?: boolean | undefined;
        }) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: ({ value, onChange }: {
            value: any;
            onChange: (value: any) => void;
            index: number;
            disabled?: boolean | undefined;
        }) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: import("../theme").ClassNamesFn | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "disabled" | "locale" | "translate" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: import("../theme").ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof ArrayInput;
    } & import("hoist-non-react-statics").NonReactStatics<typeof ArrayInput, {}> & {
        ComposedComponent: typeof ArrayInput;
    };
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: ({ value, onChange }: {
            value: any;
            onChange: (value: any) => void;
            index: number;
            disabled?: boolean | undefined;
        }) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
        placeholder: string;
        itemRender: ({ value, onChange }: {
            value: any;
            onChange: (value: any) => void;
            index: number;
            disabled?: boolean | undefined;
        }) => JSX.Element;
    }, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof ArrayInput;
} & import("hoist-non-react-statics").NonReactStatics<typeof ArrayInput, {}> & {
    ComposedComponent: typeof ArrayInput;
}, {}> & {
    ComposedComponent: {
        new (props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
            placeholder: string;
            itemRender: ({ value, onChange }: {
                value: any;
                onChange: (value: any) => void;
                index: number;
                disabled?: boolean | undefined;
            }) => JSX.Element;
        }, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context?: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "onChange" | "maxLength" | "minLength" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip"> & Partial<Pick<Pick<ArrayInputProps, "value" | "className" | "disabled" | "classPrefix" | "classnames" | "theme" | "placeholder" | "onChange" | "maxLength" | "minLength" | "itemRender" | "editable" | "removable" | "sortable" | "itemInitalValue" | "addable" | "sortTip">, "placeholder" | "itemRender">> & Partial<Pick<{
                placeholder: string;
                itemRender: ({ value, onChange }: {
                    value: any;
                    onChange: (value: any) => void;
                    index: number;
                    disabled?: boolean | undefined;
                }) => JSX.Element;
            }, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof ArrayInput;
    } & import("hoist-non-react-statics").NonReactStatics<typeof ArrayInput, {}> & {
        ComposedComponent: typeof ArrayInput;
    };
};
export default _default;
