/**
 * @file Rating
 * @description
 * @author fex
 */
/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { ClassNamesFn } from '../theme';
interface RatingProps {
    id?: string;
    key?: string | number;
    style?: React.CSSProperties;
    count: number;
    half: boolean;
    char: string;
    size: number;
    className?: string;
    onChange?: (value: any) => void;
    value: number;
    containerClass: string;
    readOnly: boolean;
    classPrefix: string;
    classnames: ClassNamesFn;
}
export declare class Rating extends React.Component<RatingProps, any> {
    static defaultProps: {
        containerClass: string;
        readOnly: boolean;
        half: boolean;
        value: number;
        count: number;
        char: string;
        size: number;
    };
    constructor(props: RatingProps);
    componentDidMount(): void;
    componentWillReceiveProps(props: RatingProps): void;
    getRate(): number;
    getStars(activeCount?: number): {
        active: boolean;
    }[];
    mouseOver(event: React.ChangeEvent<any>): void;
    moreThanHalf(event: any, size: number): boolean;
    mouseLeave(): void;
    handleClick(event: React.ChangeEvent<any>): void;
    renderStars(): any;
    render(): JSX.Element;
}
declare const _default: {
    new (props: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
        containerClass: string;
        readOnly: boolean;
        half: boolean;
        value: number;
        count: number;
        char: string;
        size: number;
    }, never>> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: ClassNamesFn | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
        containerClass: string;
        readOnly: boolean;
        half: boolean;
        value: number;
        count: number;
        char: string;
        size: number;
    }, never>> & {
        theme?: string | undefined;
        className?: string | undefined;
        classPrefix?: string | undefined;
        classnames?: ClassNamesFn | undefined;
    }, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "id" | "style" | "onChange" | "key"> & Partial<Pick<Pick<RatingProps, "id" | "value" | "style" | "size" | "char" | "onChange" | "readOnly" | "key" | "count" | "half" | "containerClass">, "value" | "size" | "char" | "readOnly" | "count" | "half" | "containerClass">> & Partial<Pick<{
            containerClass: string;
            readOnly: boolean;
            half: boolean;
            value: number;
            count: number;
            char: string;
            size: number;
        }, never>> & {
            theme?: string | undefined;
            className?: string | undefined;
            classPrefix?: string | undefined;
            classnames?: ClassNamesFn | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof Rating;
} & import("hoist-non-react-statics").NonReactStatics<typeof Rating, {}> & {
    ComposedComponent: typeof Rating;
};
export default _default;
